/**
  *  \file ui/widgets/focusgroup.h
  *
  *  (c) 2001-2012 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_FOCUSGROUP_H
#define PCC_V2_UI_WIDGETS_FOCUSGROUP_H

#include "ui/ui.h"

class UIFocusGroup : public UILayoutableWidget {
    int frame;
 public:
    UIFocusGroup(UILayoutManager& lay, int id = 0, int frame = 1);
    ~UIFocusGroup();
    void drawContent(GfxCanvas& can);
    void drawEverything(GfxCanvas& can);
    void onStateChange(int state, bool enable);
    bool handleEvent(const UIEvent& e, bool second_pass);
    void adjustSize(GfxRect& size, bool to_inner);
};

#endif
